#ifndef __GPOD_FEED_ITEM_H__
#define __GPOD_FEED_ITEM_H__

#include <glib-object.h>
#include <glib.h>

G_BEGIN_DECLS

#define GPOD_TYPE_ITEM (gpod_feed_item_get_type ())

/**
 * GpodFeedItem:
 *
 * A GPOD Item type. The contents of the #GpodFeedItem structure are private
 * and should only be accessed by the provided API
 */
typedef struct _GpodFeedItem GpodFeedItem;

struct _GpodFeedItem
{
    gchar *title;
    gchar *description;
    gchar *link;
    gchar *publish_date;
    gchar *enclosure;
    gchar *guid;

    volatile gint ref_count;
};

GType gpod_feed_item_get_type (void) G_GNUC_CONST;

GpodFeedItem *
gpod_feed_item_new (void);

GpodFeedItem *
gpod_feed_item_ref (GpodFeedItem *object);

void
gpod_feed_item_unref (GpodFeedItem *object);

#ifdef G_DEFINE_AUTOPTR_CLEANUP_FUNC
G_DEFINE_AUTOPTR_CLEANUP_FUNC (GpodFeedItem, gpod_feed_item_unref)
#endif

G_END_DECLS

#endif /* __GPOD_FEED_ITEM_H__ */
